# Record TCefResponseFilter

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefResponseFilter = record`

## Description

Implement this structure to filter resource response content. The functions of this structure will be called on the browser process IO thread.

NOTE: This struct is allocated client-side.

Implemented by ICefResponseFilter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_filter_capi.h">CEF source file: /include/capi/cef_response_filter_capi.h (cef_response_filter_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `init_filter: function(self: PCefResponseFilter): Integer; stdcall;`
| `filter: function(self: PCefResponseFilter; data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `init_filter: function(self: PCefResponseFilter): Integer; stdcall;`
This item has no description.

| `filter: function(self: PCefResponseFilter; data_in: Pointer; data_in_size: NativeUInt; var data_in_read: NativeUInt; data_out: Pointer; data_out_size : NativeUInt; var data_out_written: NativeUInt): TCefResponseFilterStatus; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.